summaryrefslogtreecommitdiffstats
path: root/games/jg-picodrive
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2023-01-22 10:49:24 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-28 08:22:59 +0700
commit3b94c695080cf1d956ba1cdc3bc93a3679755916 (patch)
tree9399c54cc334ed52954a14f66de293a2c5f925d4 /games/jg-picodrive
parent5ffe84f756f736f27e9f790e2104760edefd6ff4 (diff)
downloadslackbuilds-3b94c695080cf1d956ba1cdc3bc93a3679755916.tar.gz
slackbuilds-3b94c695080cf1d956ba1cdc3bc93a3679755916.tar.xz
games/jg-picodrive: Added (Sega 32X emu core for Jolly Good Emu)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/jg-picodrive')
-rw-r--r--games/jg-picodrive/README12
-rw-r--r--games/jg-picodrive/jg-picodrive.SlackBuild80
-rw-r--r--games/jg-picodrive/jg-picodrive.info10
-rw-r--r--games/jg-picodrive/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/games/jg-picodrive/README b/games/jg-picodrive/README
new file mode 100644
index 0000000000..ce6034b75c
--- /dev/null
+++ b/games/jg-picodrive/README
@@ -0,0 +1,12 @@
+jg-picodrive (Sega 32X emulation core for Jolly Good Emulation)
+
+PicoDrive is an emulator for the Sega 32X and related systems.
+The Jolly Good API port is designed to be used exclusively with 32X
+content. Source for the emulator core is unmodified from upstream
+sources.
+
+Filenames supported: .32x
+To run files with other extensions: jollygood -c picodrive <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-picodrive/jg-picodrive.SlackBuild b/games/jg-picodrive/jg-picodrive.SlackBuild
new file mode 100644
index 0000000000..346fe38625
--- /dev/null
+++ b/games/jg-picodrive/jg-picodrive.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-picodrive
+SRCNAM=picodrive
+VERSION=${VERSION:-1.93.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make -C jollygood install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-picodrive/jg-picodrive.info b/games/jg-picodrive/jg-picodrive.info
new file mode 100644
index 0000000000..78b0e96456
--- /dev/null
+++ b/games/jg-picodrive/jg-picodrive.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-picodrive"
+VERSION="1.93.0"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/picodrive/-/archive/1.93.0/picodrive-1.93.0.tar.gz"
+MD5SUM="08e6e425ea9ea9c271e67e83b68f77ea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-picodrive/slack-desc b/games/jg-picodrive/slack-desc
new file mode 100644
index 0000000000..e30284699e
--- /dev/null
+++ b/games/jg-picodrive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-picodrive: jg-picodrive (Sega 32X emulation core for Jolly Good Emulation)
+jg-picodrive:
+jg-picodrive: PicoDrive is an emulator for the Sega 32X and related systems.
+jg-picodrive: The Jolly Good API port is designed to be used exclusively with 32X
+jg-picodrive: content. Source for the emulator core is unmodified from upstream
+jg-picodrive: sources.
+jg-picodrive:
+jg-picodrive:
+jg-picodrive:
+jg-picodrive:
+jg-picodrive: